Page MenuHomeFreeBSD

loader: create separate lists for fd, cd and hd, merge bioscd with biosdisk
ClosedPublic

Authored by tsoome on Nov 7 2018, 12:19 PM.

Details

Summary

Create unified block IO implementation in BIOS version, like it is done in UEFI
side. Implement fd, disk and cd device lists, this will split floppy devices
from disks and will allow us to have consistent, predictable device naming
(modulo BIOS issues).

Test Plan

boot, lsdev [-v]

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tsoome created this revision.Nov 7 2018, 12:19 PM
tsoome updated this revision to Diff 51346.Nov 29 2018, 9:53 AM

Cleaning up a bit:

../libi386/biosdisk.c:176: warning: no previous prototype for 'bd_get_bdinfo_list'
../libi386/biosdisk.c:189: warning: no previous prototype for 'bd_get_bdinfo'
../libi386/biosdisk.c:606: warning: declaration of 'devsw' shadows a global declaration
../../../../lib/libstand/stand.h:389: warning: shadowed declaration is here

This revision was not accepted when it landed; it landed in state Needs Review.Nov 30 2018, 8:04 AM
This revision was automatically updated to reflect the committed changes.